Name:    argyllcms
Version: 1.4.0
Release: %mkrel 4
Summary: ICC compatible color management system
Group:     Graphics/Utilities 
License:   GPLv3 and BSD-like
URL:       http://www.argyllcms.com/
Source0:   http://people.freedesktop.org/~hughsient/releases/hargyllcms-%{version}.tar.xz
Patch0:	hargyllcms-1.4.0-link.patch
Patch1:	icclib-2.13-CVE-2012-4405.diff

## udev >= 151 supports ACL on COLOR_MEASUREMENT_DEVICE
Requires:  udev >= 151
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel
BuildRequires: pkgconfig(libusb-1.0)
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libxxf86vm-devel
BuildRequires: libxinerama-devel
BuildRequires: libxscrnsaver-devel
BuildRequires: libxrandr-devel

%description
The Argyll color management system supports accurate ICC profile creation for
scanners, CMYK printers, film recorders and calibration and profiling of
displays.

Spectral sample data is supported, allowing a selection of illuminants observer
types, and paper fluorescent whitener additive compensation. Profiles can also
incorporate source specific gamut mappings for perceptual and saturation
intents. Gamut mapping and profile linking uses the CIECAM02 appearance model,
a unique gamut mapping algorithm, and a wide selection of rendering intents. It
also includes code for the fastest portable 8 bit raster color conversion
engine available anywhere, as well as support for fast, fully accurate 16 bit
conversion. Device color gamuts can also be viewed and compared using a VRML
viewer.

%prep
%setup -qn hargyllcms-%{version}
%patch0 -p0
%patch1 -p0 -b .CVE-2012-4405
mkdir -p m4
autoreconf -fi

%build
%configure2_5x --enable-static --disable-shared
%make

%check
make check

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

%files
%doc %{_datadir}/doc/argyll
/lib/udev/rules.d/*.rules
%{_bindir}/*
%{_datadir}/color/argyll


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.4.0-4.mga3
+ Revision: 346051
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Mon Jan 07 2013 dmorgan <dmorgan> 1.4.0-3.mga3
+ Revision: 340472
- Fix build

* Wed Sep 12 2012 luigiwalser <luigiwalser> 1.4.0-2.mga3
+ Revision: 293081
- add patch from redhat via mdv to fix CVE-2012-4405

* Tue May 08 2012 fwang <fwang> 1.4.0-1.mga2
+ Revision: 234885
- drop all libtool archive
- update file list
- update file list
- update file list
- fix link
- sync with fedora 1.4.0

* Fri Dec 23 2011 fwang <fwang> 1.1.0-5.mga2
+ Revision: 186496
- rebuild for new libtiff

* Wed Dec 07 2011 fwang <fwang> 1.1.0-4.mga2
+ Revision: 178047
- drop .la files

* Sat Oct 01 2011 dmorgan <dmorgan> 1.1.0-3.mga2
+ Revision: 150680
- imported package argyllcms

